import { Logger } from "../shared/Logger";
import { StatsSink, StatsCounter, StatsGauge, StatsHistogram, StatsMetricParams } from "./StatsSink";
import { Metric } from "./Statsd";
export interface StatsdStatsSinkConfiguration {
    logger: Logger;
    hostname: string;
    port: number;
    socketType: "udp4" | "udp6";
}
export declare class StatsdStatsSink implements StatsSink {
    private readonly metrics;
    private readonly logger;
    private readonly hostname;
    private readonly port;
    private readonly client;
    constructor(config?: Partial<StatsdStatsSinkConfiguration>);
    counter(params: StatsMetricParams): StatsCounter;
    gauge(params: StatsMetricParams): StatsGauge;
    histogram(params: StatsMetricParams): StatsHistogram;
    emit(metric: Metric): void;
    private generateLabelParts;
}
